Installer - Feature #36784

Drop Apache mpm_event MaxRequestPerChild values from tuning profiles
09/27/2023 11:52 AM - Ewoud Kohl van Wijngaarden

Status: Closed
Priority: Normal
Assignee: Ewoud Kohl van Wijngaarden
Category: foreman-installer script
Target version: 3.8.0
Difficulty: Fixed in Releases: 3.8.0
Triaged: No Found in Releases:
Bugzilla link: 2238325 Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman-i
nstaller/pull/884,
https://github.com/theforeman/foreman-i
nstaller/pull/885
Description

Since puppetlabs-apache 9.0.0 (

https://github.com/puppetlabs/puppetlabs-apache/commit/cedd45b63be89ea54bd2a596e6cd3a3f60d4faf8) this tuning does nothing,
since the parameter was dropped. For older versions it may also trigger https:/bugzilla.redhat.com/show_bug.cgi?id=2238325 (root

cause: https://github.com/apache/httpd/pull/281) and the default tuning doesn't set it.

Related issues:
Related to Installer - Feature #20889: Make it possible to install Foreman's ...

Closed

Associated revisions

Revision 4462c6d4 - 09/27/2023 03:11 PM - Ewoud Kohl van Wijngaarden
Fixes #36784 - Drop MaxRequestsPerChild tuning

Since puppetlabs-apache 9.0.0 this tuning does nothing, since the
parameter was dropped. For older versions it may also trigger
https://bugzilla.redhat.com/show_bug.cgi?id=2238325 and the default
tuning doesn't set it, so is likely unaffected.

History

#1 - 09/27/2023 11:53 AM - Ewoud Kohl van Wijngaarden

- Target version set to 3.8.0

Foreman 3.8 was the first version to include puppetlabs-apache 9.0.0.

#2 - 09/27/2023 11:54 AM - The Foreman Bot
- Status changed from New to Ready For Testing
- Assignee set to Ewoud Kohl van Wijngaarden

- Pull request https://github.com/theforeman/foreman-installer/pull/884 added

#3 - 09/27/2023 03:11 PM - The Foreman Bot
- Fixed in Releases 3.9.0 added

#4 - 09/27/2023 04:00 PM - Ewoud Kohl van Wijngaarden
- Status changed from Ready For Testing to Closed

Applied in changeset installer|4462c6d4fc34cfdfe73d31c63cbf39eb979{73e6.

#5 - 10/03/2023 10:25 AM - Ewoud Kohl van Wijngaarden

- Related to Feature #20889: Make it possible to install Foreman's httpd with mpm_event added
https://github.com/puppetlabs/puppetlabs-apache/commit/cedd45b63be89ea54bd2a596e6cd3a3f60d4faf8
https://bugzilla.redhat.com/show_bug.cgi?id=2238325
https://github.com/apache/httpd/pull/281
https://bugzilla.redhat.com/show_bug.cgi?id=2238325
https://projects.theforeman.org/projects/puppet-foreman/repository/installer/revisions/4462c6d4fc34cfdfe73d31c63cbf39eb979f73e6

#6 - 10/03/2023 10:32 AM - Ewoud Kohl van Wijngaarden
- Bugzilla link set to 2238325

#7 - 10/03/2023 03:48 PM - The Foreman Bot
- Pull request https://github.com/theforeman/foreman-installer/pull/885 added

#8 - 10/04/2023 11:29 AM - The Foreman Bot
- Fixed in Releases 3.8.0 added

#9 - 11/13/2023 04:24 PM - Ewoud Kohl van Wijngaarden
- Fixed in Releases deleted (3.9.0)
